Bug 1876440 - Cloud init section of common-templates is ignored in the UI
Summary: Cloud init section of common-templates is ignored in the UI
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1874403
TreeView+ depends on / blocked
 
Reported: 2020-09-07 08:34 UTC by Tomas Jelinek
Modified: 2020-09-15 10:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6543 None closed Bug 1876440: Cloud init section of common-templates is ignored 2020-09-24 08:06:20 UTC

Description Tomas Jelinek 2020-09-07 08:34:02 UTC
Description of problem:
Some of the common templates already contain a cloud init section to set the password for cloud images. The wizard seems to ignore this section though making the VM impossible to log in.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. pick an OS which has a cloud-init section filled
2. create a VM from it
3.

Actual results:
the cloud init part is not in the resulting yaml

Expected results:
- in the wizard I see this part in the "custom script" of cloud init
- in the resulting yaml it is properly set

Additional info:

Comment 2 Guohua Ouyang 2020-09-15 07:22:53 UTC
verified on master


Note You need to log in before you can comment on or make changes to this bug.